Bug 140201 - FC3 in T30 unable to switch to dual head
FC3 in T30 unable to switch to dual head
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2004-11-20 20:50 EST by Andrew D. Stadler
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: system-config-display-1.0.37-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 11:38:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
This is a working dual-head configuration for me (3.79 KB, text/plain)
2005-02-18 13:43 EST, Eric Pare
no flags Details

  None (edit)
Description Andrew D. Stadler 2004-11-20 20:50:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/125.5.5 (KHTML, like Gecko) Safari/125.11

Description of problem:
T30 laptop worked great with FC2, including dual head.

Just did a clean install of FC3 (not upgrade - wiped '/' partition).  Basic FC3 with all current up2date stuff.

Now, running system-config-display, I can do the exact same settings as before to activate dual headed mode, but it won't commit - the OK button clicks but nothing happens, and my only recourse is to click cancel or uncheck dual head.



Version-Release number of selected component (if applicable):
system-config-display-1.0.23-1

How reproducible:
Always

Steps to Reproduce:
1.  plug in 2nd monitor
2.  enter system-config-display
3.  select settings: 
- use dual head
- 2nd monitor type:  dell 2000FP analog
- 2nd video card:  ati radeon mobility 7500 (no choice)
- resolution: 1600x1200
- color depth: millions
- desktop layout:  spanning


    

Actual Results:  With the above settings, clicking "OK" has a silent failure - no error message.

Expected Results:  This used to work fine.

Additional info:

Per other related bugs, I ran /usr/sbin/kudzu -p -b ddc revealing:
class: VIDEO
bus: DDC
detached: 0
driver: unknown
desc: "ATI Technologies Inc. P7"
mem: 16320
Comment 1 Paul Nasrat 2004-11-22 10:16:21 EST
Please update to latest test update in updates-testing and retry:

system-config-display-1.0.24-1.noarch.rpm
Comment 2 Andrew D. Stadler 2004-11-22 15:41:09 EST
Good news:  this seems to solve the problem of "OK" not working - with
1.0.24-1 it seems to be willing to generate a dual-head xorg.conf file.

Bad news:  There are a number of instabilities related to actually
using that xorg.conf file in dual head mode.  The file itself appears
to be ok, I don't think is the fault of system-config-display. 
Probably X problems.

I imagine that once this version hits the main update system, you can
close this bug.
Comment 3 George 2005-01-22 18:31:55 EST
I have similar problem with a dual-boot T30. w2k driver controls the external FP
Viewsonic VP181 @ 1280x1024. 
The laptop LCD works fine @ 1400x1050 under FC3. I am using
system-config-display-1.0.24-1 to enable the FP. Everything seems fine,
including the newly generated xorg.conf. However, I don't have any image on the
FP, only on the LCD. The system is entirely up-to-date, using KDE.

Here is my xorg.conf:

# Xorg configuration created by system-config-display

Section "ServerLayout"
	Identifier     "Multihead layout"
	Screen      0  "Screen0" LeftOf "Screen1"
	Screen      1  "Screen1" 0 0
	InputDevice    "Mouse0" "CorePointer"
	InputDevice    "Keyboard0" "CoreKeyboard"
	InputDevice    "Synaptics" "AlwaysCore"
	Option	    "Xinerama" "off"
	Option	    "Clone" "on"
EndSection

Section "Files"

# RgbPath is the location of the RGB database.  Note, this is the name of the 
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.
# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.
	RgbPath      "/usr/X11R6/lib/X11/rgb"
	FontPath     "unix/:7100"
EndSection

Section "Module"
	Load  "dbe"
	Load  "extmod"
	Load  "fbdevhw"
	Load  "glx"
	Load  "record"
	Load  "freetype"
	Load  "type1"
	Load  "synaptics"
	Load  "dri"
EndSection

Section "InputDevice"

# Specify which keyboard LEDs can be user-controlled (eg, with xset(1))
#	Option	"Xleds"		"1 2 3"
# To disable the XKEYBOARD extension, uncomment XkbDisable.
#	Option	"XkbDisable"
# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#	Option	"XkbModel"	"pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#	Option	"XkbModel"	"microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#	Option	"XkbLayout"	"de"
# or:
#	Option	"XkbLayout"	"de"
#	Option	"XkbVariant"	"nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#	Option	"XkbOptions"	"ctrl:swapcaps"
# Or if you just want both to be control, use:
#	Option	"XkbOptions"	"ctrl:nocaps"
#
	Identifier  "Keyboard0"
	Driver      "kbd"
	Option	    "XkbModel" "pc105"
	Option	    "XkbLayout" "us"
EndSection

Section "InputDevice"
	Identifier  "Mouse0"
	Driver      "mouse"
	Option	    "Protocol" "IMPS/2"
	Option	    "Device" "/dev/input/mice"
	Option	    "ZAxisMapping" "4 5"
	Option	    "Emulate3Buttons" "yes"
EndSection

Section "InputDevice"
	Identifier  "Synaptics"
	Driver      "synaptics"
	Option	    "Device" "/dev/input/mice"
	Option	    "Protocol" "auto-dev"
	Option	    "Emulate3Buttons" "yes"
EndSection

Section "Monitor"
	Identifier   "Monitor0"
	VendorName   "Monitor Vendor"
	ModelName    "LCD Panel 1400x1050"
	HorizSync    31.5 - 90.0
	VertRefresh  59.0 - 75.0
	Option	    "dpms"
EndSection

Section "Monitor"
	Identifier   "Monitor1"
	VendorName   "Monitor Vendor"
	ModelName    "ViewSonic VP181"
	HorizSync    30.0 - 95.0
	VertRefresh  50.0 - 75.0
	Option	    "dpms"
EndSection

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	VendorName  "Videocard vendor"
	BoardName   "ATI Radeon Mobility 7500"
EndSection

Section "Device"
	Identifier  "Videocard1"
	Driver      "radeon"
	VendorName  "Videocard Vendor"
	BoardName   "ATI Radeon Mobility 7500"
	BusID       "PCI:1:0:0"
	Screen      1
EndSection

Section "Screen"
	Identifier "Screen0"
	Device     "Videocard0"
	Monitor    "Monitor0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     16
		Modes    "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1400x1050" "1280x1024" "1280x960" "1152x864" "1024x768" "800x600"
"640x480"
	EndSubSection
EndSection

Section "Screen"
	Identifier "Screen1"
	Device     "Videocard1"
	Monitor    "Monitor1"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
		Modes    "1400x1050"
	EndSubSection
EndSection

Section "DRI"
	Group        0
	Mode         0666
EndSection


Comment 4 Eric Pare 2005-02-18 13:43:16 EST
Created attachment 111212 [details]
This is a working dual-head configuration for me

The xorg.conf file generated by system-config-display did not work.  I had to
play with DDC, MergedFB and MonitorLayout options to get it to work.  The
command ddcprobe returned weird results when connecting, disconnecting second
screen.  I also played with the videocard config in the bios but I don't think
it changed anything.  When I boot with that working config, it configures two
screens even if the second monitor is not plugged in - I guess that's my fault,
I forced that behavior.  I have a thinkpad R40 with a radeon mobility M6 card. 
This used to work under FC2.  Hope this helps.
Comment 5 Adam Jackson 2006-03-03 10:36:22 EST
Mass update: move dual head bugs from FC5 to FC6, no way they can get fixed
before FC5 release at this point.
Comment 6 Matthew Miller 2006-07-10 17:25:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 Andrew D. Stadler 2006-07-11 11:38:29 EDT
I'm marking this as resolved because the *original* report, that the OK button wasn't working, has been 
long since resolved (as of comment #2 and rechecked in FC5).  I know that there are some other issues 
brought up in the comments, but they would need to be tracked in other bug reports anyway.

Note You need to log in before you can comment on or make changes to this bug.